Bug 1285739 - Spec uses %setup macro with -c and -a
Spec uses %setup macro with -c and -a
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 06:26 EST by Florian Festi
Modified: 2016-10-19 17:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-19 17:23:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Festi 2015-11-26 06:26:56 EST
There is an bug in rpmbuild regarding the %setup macro. It makes -b (before changing into build sub dir) behave like -a (after changing into build sub dir) when -c is given. Your package relies on this behaviour. As we just fixed that upstream so your package will break after the next RPM release.

See https://github.com/rpm-software-management/rpm/pull/21 for the details.

Please change the following line:

%setup -c -q -n festival -D -T -b 300
Comment 1 Jan Kurik 2016-02-24 09:02:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Matthew Miller 2016-10-19 17:23:01 EDT
The Festival package in Fedora needs a lot of work to update to a newer release, fix a lot of bugs, and generally clean up the packaging. And, despite best intentions, we just haven't had the developer interest in doing so. 

The current plan is to retire Festival from Fedora. See thread at https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/UOL4ETKKOFGTFZZ36V726OF7UTHYMEYP/ for discussion.

Despite being large, slow, and fragile, Festival is interesting software and as far as I know can produce the best quality results of any open-source TTS system. It would be nice if there is interest in continuing it, but that should probably be done from a clean slate in any case.

In the meantime, I think it's most honest to close the currently-open bugs as "WONTFIX". Thanks everyone for your reports and effort in making Fedora better.

Note You need to log in before you can comment on or make changes to this bug.